[data-contenttype="scroll-reveal-text"] {
    --scroll-reveal-text-primary: #002454;
    --scroll-reveal-text-white: #fff;
    --gutter: 20px;
}
[data-contenttype="scroll-reveal-text"] {
    position: relative;
    height: 100dvh;
    width: 100dvw;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding-left: var(--gutter);
    padding-right: var(--gutter);
}
[data-contenttype="scroll-reveal-text"] .scroll-headline-wrapper {
    position: absolute;
    width: calc(800%/12);
}
[data-contenttype="scroll-reveal-text"].frame-layout-regular-img .scroll-headline-wrapper {
    position: relative;
    flex: 0 0 50%;
    align-content: flex-end;
}
[data-contenttype="scroll-reveal-text"] .scroll-headline-wrapper span {
    font-size: 8rem;
    line-height: 6.625rem;
    text-transform: uppercase;
    letter-spacing: -.25rem;
    display: block;
}
[data-contenttype="scroll-reveal-text"] .scroll-headline-wrapper span:nth-child(1) {
    color: var(--scroll-reveal-text-white);
    font-weight: 800;
    text-align: left;
}
[data-contenttype="scroll-reveal-text"].frame-layout-regular-img .scroll-headline-wrapper span:nth-child(1) {
    text-align: center;
    color: var(--scroll-reveal-text-primary);
}

[data-contenttype="scroll-reveal-text"] .scroll-headline-wrapper span:nth-child(2) {
    color: var(--scroll-reveal-text-primary);
    text-align: right;
    font-style: italic;
}
[data-contenttype="scroll-reveal-text"] .scroll-reveal-image {
    width: calc(1000%/12);
    padding-top: 4rem;
    padding-bottom: 4rem;
    height: 100%;
}
[data-contenttype="scroll-reveal-text"].frame-layout-regular-img .scroll-reveal-image {
    height: auto;
    width: 100%;
}
[data-contenttype="scroll-reveal-text"] .scroll-reveal-image img {
    display: block;
    object-fit: cover;
    width: 100%;
    height: 100%;
}
[data-contenttype="scroll-reveal-text"].frame-layout-regular-img .scroll-reveal-image img {
    width: auto;
    height: auto;
    margin-inline: auto;
}
[data-contenttype="scroll-reveal-text"] .scroll-reveal-textblocks {
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: calc(1000%/12);
    font-style: italic;
}
[data-contenttype="scroll-reveal-text"].frame-layout-regular-img .scroll-reveal-textblocks {
    position: relative;
    flex: 0 0 50%;
    justify-content: flex-start;
}
[data-contenttype="scroll-reveal-text"] .scroll-reveal-textblocks .scroll-reveal-textblock {
    position: absolute;
    font-size: 3rem;
    line-height: 3.375rem;;
    text-align: center;
}
[data-contenttype="scroll-reveal-text"] .scroll-reveal-textblocks .scroll-reveal-textblock p {
    margin-bottom: 0;
}
[data-contenttype="scroll-reveal-text"].frame-layout-regular-img .scroll-reveal-textblocks .scroll-reveal-textblock {
    font-size: 2rem;
    line-height: 2.625rem;
}
[data-contenttype="scroll-reveal-text"] .scroll-reveal-textblocks .scroll-reveal-textblock .text-highlight {
    color: var(--scroll-reveal-text-primary)
}
@media (min-width: 769px) and (max-width: 1280px) {
    [data-contenttype="scroll-reveal-text"] .scroll-headline-wrapper {
        width: calc(1000% / 12);
    }
}
@media (max-width: 768px) {
    [data-contenttype="scroll-reveal-text"] .scroll-headline-wrapper {
        width: 100%;
        padding: inherit;
    }
    [data-contenttype="scroll-reveal-text"] .scroll-headline-wrapper span {
        font-size: 60px;
        line-height: 48px;
        padding-left: calc(0.5 * var(--gutter));
        padding-right: calc(0.5 * var(--gutter));
    }
    [data-contenttype="scroll-reveal-text"] .scroll-headline-wrapper span:nth-child(2) {
        font-size: 57px;
        text-align: left;
        padding-left: 0;
        padding-right: 0;
    }
    [data-contenttype="scroll-reveal-text"].frame-layout-regular-img .scroll-headline-wrapper {
        padding: 0;
    }
    [data-contenttype="scroll-reveal-text"].frame-layout-regular-img .scroll-headline-wrapper span:nth-child(1) {
        text-align: left;
        font-weight: 700;
        text-transform: none;
        padding-left: 0;
        padding-right: 0;
    }
    [data-contenttype="scroll-reveal-text"] .scroll-reveal-textblocks {
        width: 100%;
    }
    [data-contenttype="scroll-reveal-text"]:not(.frame-layout-regular-img) .scroll-reveal-textblocks .scroll-reveal-textblock {
        padding-left: var(--gutter);
        padding-right: var(--gutter);
    }
    [data-contenttype="scroll-reveal-text"] .scroll-reveal-textblocks .scroll-reveal-textblock, [data-contenttype="scroll-reveal-text"].frame-layout-regular-img .scroll-reveal-textblocks .scroll-reveal-textblock {
        font-size: 18px;
        line-height: 22px;
    }
}
